Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Documentation/config.txt3
-rwxr-xr-xgit-instaweb.sh10
2 files changed, 11 insertions, 2 deletions
diff --git a/Documentation/config.txt b/Documentation/config.txt
index 477b2d9138..4e222f15a5 100644
--- a/Documentation/config.txt
+++ b/Documentation/config.txt
@@ -369,7 +369,8 @@ branch.<name>.rebase::
browser.<tool>.path::
Override the path for the given tool that may be used to
- browse HTML help. See '-w' option in linkgit:git-help[1].
+ browse HTML help (see '-w' option in linkgit:git-help[1]) or a
+ working repository in gitweb (see linkgit:git-instaweb[1]).
clean.requireForce::
A boolean to make git-clean do nothing unless given -f
diff --git a/git-instaweb.sh b/git-instaweb.sh
index ad0723ccc6..3e4452bc4b 100755
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
@@ -274,6 +274,14 @@ webrick)
;;
esac
+init_browser_path() {
+ browser_path="`git config browser.$1.path`"
+ test -z "$browser_path" && browser_path="$1"
+}
+
start_httpd
url=http://127.0.0.1:$port
-test -n "$browser" && "$browser" $url || echo $url
+test -n "$browser" && {
+ init_browser_path "$browser"
+ "$browser_path" $url
+} || echo $url